* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

::-webkit-scrollbar{
    width: 10px;
}

::-webkit-scrollbar-thumb {
    background: red;
}

::selection {
    color: white;
    background-color: red;
}

html {
    scroll-behavior: smooth;
}

body {
    font-family: 'Roboto', sans-serif;
    
}

header {
    max-width: 1200px;
    display: flex;
    justify-content: flex-end;
    margin: auto;
    padding-top: 50px;    

}

nav {
    display: flex;
    justify-content: flex-end;
}

ul {
    display: flex;
    list-style-type: none;
    
}

ul li {
    margin: 0 20px;
}

a {
    list-style: none;
    color: black;
    text-decoration: none;
}

main {
    max-width: 1200px;
    display: flex;
    flex-wrap: wrap;
    margin: auto;
}

section {
    margin: 25vh 0;
}

/************************accueil**************************************/

#accueil h1 {
    font-size: 120px;
}

#accueil p {
    font-size: 30px;
    text-transform: uppercase;
}

#accueil li {
    margin-left: 10px;
    font-size: 30px;
    text-transform: uppercase;
}

/*-----------------------------animation-----------------------------------------*/
.wrapper{
    display: flex;
}

.wrapper .dynamic-text {
    height: 30px;
    line-height: 37px;
    overflow: hidden;
   
}

.dynamic-text {
    display: inline-flex;
    flex-direction: column;
}

.dynamic-text {
    color: red;
    position: relative;
}

.dynamic-text span {
    position: relative;
    top: 0;
    position: relative;
    animation: position 9s steps(3) infinite;
}

@keyframes position {
    0% {
        top: 0;
    }
    100% {
        top: -111px;
    }
}

.dynamic-text span {
    position: relative;
}

.dynamic-text span::after{
    content: '';
    width: 100%;
    height: 100%;
    background: white;
    position: absolute;
    border-left: 2px solid red;
    animation: typing 3s steps(12) infinite;
    left: 0px;
}

@keyframes typing {
    40%, 60%{
        left: calc(100% + 30px);
      }
      100%{
        left: 0;
      }
}

/*------------------------------animation---------------------------------------*/


/*********************************************************************/

h3 {
    font-size: 60px;
    margin-bottom: 30px;
}

h3 span {
    height: 10px;
    width: 10px;
    background: red;
}

h4 {
    font-size: 40px;
    margin-bottom: 30px;
}

h4 span {
    height: 10px;
    width: 10px;
    background: red;
}

article {
    display: flex;
    align-items: center;
    margin-bottom: 50px;
}

article div p {
    margin: 0 20px;
}

article div button {
    margin: 20px 0 0 20px;
}

article div button a{ 
    text-decoration: none;
    color: black;
}

.galleri img {
    border: 3px solid black;
    border-radius: 10px;
    height: 300px;
    width: 500px;
    object-fit: cover;
}

button {
    height: 30px;
    width: 80px;
    border: 3px solid red;
    border-radius: 3px;
    background: white;
    
}

button:hover {
    border: 3px solid red;
    border-radius: 3px;
    background: red;
    color: white;
}

article div button a:hover { 
    text-decoration: none;
    color: white;
}


/*************************CONTACT**********************************/

#contact {
    width: 1200px;
    display: flex;
    flex-direction: column;
}

#contact div {
    display: flex;
    justify-content: flex-end;
    margin: auto;
    padding: 0 15px;  
}

#contact img {
    height: 50px;
    width: 50px ;
    transform: scale(1);
	transition: transform 400ms;
       
}

#contact img:hover {
    transform: scale(1.5);   
}

